* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

a {
    text-decoration: none;
    color: #e47f20;
}

body {
    overflow: hidden;
}

.img1 {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* object-position: bottom; */
    position: absolute;
    top: 0;
    right: 0;
    z-index: -333;
}




.levels {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: flex-start;
    margin-top: 50px;
    /* max-height: 100vh; */
    /* scale: 0.9; */
    /* margin-bottom: 50px; */
}

.level1,
.level2 {
    cursor: pointer;
    margin-left: 150px;
    /* margin-bottom: 50px; */
}

.level3 {
    cursor: pointer;

}

.cube {
    position: relative;
    width: 100px;
    height: 100px;
    transform-style: preserve-3d;
    transform: rotateX(-30deg) rotateY(30deg);
    margin: 50px;
    /* transition: 2s; */
    /* animation: aniCube 4s linear infinite; */
}



@keyframes aniCube {
    0% {
        transform: rotateX(-30deg) rotateY(30deg);
        /* transform: translateY(0px); */

    }

    50% {
        transform: rotateX(-30deg) rotateY(360deg);
        /* transform: translateZ(50px); */
    }

    100% {
        transform: rotateX(-30deg) rotateY(30deg);
        /* transform: translateZ(50px); */
    }

}

@keyframes aniCubeRev {
    0% {
        transform: rotateX(-30deg) rotateY(30deg);
        /* transform: translateY(0px); */

    }

    50% {
        transform: rotateX(-30deg) rotateY(-360deg);
        /* transform: translateZ(50px); */
    }

    100% {
        transform: rotateX(-30deg) rotateY(30deg);
        /* transform: translateZ(50px); */
    }

}

.level3:hover .cube,
.level2:hover .cube,
.level1:hover .cube {
    animation: aniCube 4s linear infinite;
}







.level3:hover .reverse,
.level2:hover .reverse,
.level1:hover .reverse {
    animation: aniCubeRev 4s linear infinite;
}

.cube .floor1 {
    position: absolute;
    top: 300px;
    left: 0;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;

}

.cube .floor2 {
    position: absolute;
    top: 20px;
    left: 0;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;

}

.cube .floor3 {
    position: absolute;
    top: -262px;
    left: 0;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;

}



.cube div span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(#e47f20, #41dee3);
    transform: rotateY(calc(90deg * var(--i))) translateZ(50px);
}

.top {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #e47f20;
    transform: rotateX(90deg) translateZ(50px);
}

/* .top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0f0;
    transform: translateZ(-380px);
    filter: blur(40px);
    box-shadow: 0 0 120px rgba(0, 255, 0, 0.2),
                0 0 200px rgba(0, 255, 0, 0.4),
                0 0 100px rgba(0, 255, 0, 0.6),
                0 0 400px rgba(0, 255, 0, 0.8),
                0 0 500px rgba(0, 255, 0, 1),

} */
.line {
    border: 2px solid red;
    border-radius: 20px;
    z-index: 999;
}

p {
    position: relative;
    padding: 0.5rem 0;
}

p::after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%) scale(0);
    transition: transform 0.5s ease-in-out;
    height: 2px;
    width: 100%;
    background-color: #41dee3;
}

p::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) scale(0);
    transition: transform 0.5s ease-in-out;
    height: 2px;
    width: 100%;
    background-color: #41dee3;
}


.level1:hover p::before,
.level1:hover p::after,
.level2:hover p::before,
.level2:hover p::after,
.level3:hover p::before,
.level3:hover p::after {
    transform: translateX(-50%) scale(1);
}

@media (max-width: 700px) {
    .levels {
        display: flex;
        flex-direction: column;
        /* justify-content: space-between; */
        align-items: center;
    }

    .img1 {
        height: 1650px;

    }

    .level1 {
        margin-top: -300px;
    }

    .level2 {
        margin-top: 250px;
    }

    .level3 {

        margin-top: 100px;

    }

    .levels {
        scale: 0.6;
    }

    p {
        font-size: 40px;
        display: block;
    }
}